<?

// Функции для работы с каталогами

class Folder {
	
	// умная очистка директорий любого размера
	function clear($path) {
		if(!$handle = opendir($path))
			throw new Error_def("Не открывается каталог '$path'");

		/* Именно этот способ чтения элементов каталога является правильным. */
		while (false !== ($entry = readdir($handle))) {
			//$log->line("$entry\n";
			$fname = "$path/$entry";

			if(is_file($fname)) {
				unlink($fname);
			}
		}

		closedir($handle);
		return true;
	}
}

?>